org.eclipse.wst.jsdt.ui

## Class ProjectLibraryRoot.WorkBenchAdapter

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.ProjectLibraryRoot.WorkBenchAdapter

Enclosing class:
  ProjectLibraryRoot

    public static final class ProjectLibraryRoot.WorkBenchAdapter
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`WorkBenchAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object[]` `getChildren(java.lang.Object o)`
`ImageDescriptor` `getImageDescriptor(java.lang.Object object)`
`java.lang.String` `getLabel(java.lang.Object o)`
`java.lang.Object` `getParent(java.lang.Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkBenchAdapter

    public WorkBenchAdapter()

### Method Detail

#### getChildren

    public java.lang.Object[] getChildren(java.lang.Object o)

#### getImageDescriptor

    public ImageDescriptor getImageDescriptor(java.lang.Object object)

#### getLabel

    public java.lang.String getLabel(java.lang.Object o)

#### getParent

    public java.lang.Object getParent(java.lang.Object o)